package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.ItPelaksanaanPerbaikan;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.helper.Caption;

public class ItPelaksanaanPerbaikanListTeknisiVO extends BaseTransactionVO{

	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "It Pelaksanaan Perbaikan")
	private ItPelaksanaanPerbaikanVO itPelaksanaanPerbaikan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Teknisi")
	private PegawaiVO teknisi;
	
	private Integer teknisiId;

	public ItPelaksanaanPerbaikanVO getItPelaksanaanPerbaikan() {
		return itPelaksanaanPerbaikan;
	}

	public void setItPelaksanaanPerbaikan(ItPelaksanaanPerbaikanVO itPelaksanaanPerbaikan) {
		this.itPelaksanaanPerbaikan = itPelaksanaanPerbaikan;
	}

	public PegawaiVO getTeknisi() {
		return teknisi;
	}

	public void setTeknisi(PegawaiVO teknisi) {
		this.teknisi = teknisi;
	}

	public Integer getTeknisiId() {
		return teknisiId;
	}

	public void setTeknisiId(Integer teknisiId) {
		this.teknisiId = teknisiId;
	}
	
	
}
